Junos
Highlighted
Junos

Upgrading

‎07-09-2015 04:39 AM

Our version of Junos is a bit out of date and I was thinking updating may give a version that maybe works a bit...?

I have managed to download the 'recommended' version, now what do I do?

Why is everything so hard and the documentation so vague?

Surely in this day and age this should be a fully automated process!

 

17 REPLIES 17
Highlighted
Junos

Re: Upgrading

‎07-09-2015 04:43 AM

HI,

 

If you are trying to upgradee an SRX device, please follow the steps as defined in the below kb which lists out multiple methods to upgrade the device;

 

 

http://kb.juniper.net/InfoCenter/index?page=content&id=KB16652

 

If your device is in a cluster you may follow the below kb;

 

http://kb.juniper.net/InfoCenter/index?page=content&id=KB17947

 

 

Also make sure that you are following the correct upgrade path; for ehg; You can upgrade from 10.4 to 12.1 X44 bt from other versions yu may have to upgrade to intermediate versions.

Let me know which version you are on so that I may let you know of the correct upgrade path.

 

Shailesh Nair

 

 

Shailesh
[KUDOS PLEASE! If you think I earned it!
If this solution worked for you please flag my post as an "Accepted Solution" so others can benefit..]
Highlighted
Junos

Re: Upgrading

‎07-09-2015 04:47 AM

Thanks for the fast reply.

Those instructions indicate that what I tried was actually correct.

i.e. in j-web select Maintain > Software > Upload Package

 

However, it took quite a while to load the file and then told me it was not a package and failed.

 

So it looks like the software used to instal versions with fixes is itself broken!

 

Oh happy days...

 

Highlighted
Junos

Re: Upgrading

‎07-09-2015 07:18 AM

Hello ,

 

Best recommendation is not to use Web-GUI for upgrade , it can cause some issue . Its best adviced to use USB upgrade method or FTP/TFTP  using CLI . Thats the best and reliable way for Upgrade .

 

 

 


Thanks,
Sam

Please Mark My Solution Accepted if it Helped, Kudos are Appreciated too .....
Highlighted
Junos

Re: Upgrading

‎07-09-2015 07:21 AM

Hello ,

 

If you still face issue in installing the sofware , it may be possible that the Junos that you have downloaded may be corrupted . So you can verify the MD5 using the belwo KB :

 

http://kb.juniper.net/InfoCenter/index?page=content&id=KB17665


Thanks,
Sam

Please Mark My Solution Accepted if it Helped, Kudos are Appreciated too .....
Highlighted
Junos

Re: Upgrading

‎07-09-2015 08:03 AM

Hi Sam

Thanks for the link; however

 

Forbidden

You don't have permission to access /support/csc/swdist-domestic/10.1/ on this server.

Additionally, a 404 Not Found error was encountered while trying to use an ErrorDocument to handle the request.

 

Highlighted
Junos

Re: Upgrading

‎07-09-2015 08:12 AM

Hi,

 

Try using the below kb;

 

http://kb.juniper.net/InfoCenter/index?page=content&id=KB19931

 

Hope it helps.

 

-Shailesh

Shailesh
[KUDOS PLEASE! If you think I earned it!
If this solution worked for you please flag my post as an "Accepted Solution" so others can benefit..]
Highlighted
Junos
Solution
Accepted by topic author wldg
‎08-26-2015 01:27 AM

Re: Upgrading

[ Edited ]
‎07-09-2015 08:18 AM

Tried the usb method but get a permissions problem when trying to map the usb drive to a mountable drive.

 

Think I will just run with the version I have and never update it...!

 

Thanks to all that have replied but please treat this thread as closed (not sure how to close it) as I really don't have the time or inclination to persue it any further.

 

 

 

Highlighted
Junos

Re: Upgrading

‎07-09-2015 08:21 AM

What is the error you are getting?

 

What is the size of the USB you are trying to mount. Anything with higher storage then 8 GB may cause issues.

Shailesh
[KUDOS PLEASE! If you think I earned it!
If this solution worked for you please flag my post as an "Accepted Solution" so others can benefit..]
Highlighted
Junos

Re: Upgrading

[ Edited ]
‎07-09-2015 08:23 AM

@ssn wrote:

What is the error you are getting?

 

What is the size of the USB you are trying to mount. Anything with higher storage then 8 GB may cause issues.


It was a 4gb one, please refer to last post though; I have given up on this idea.

 

Highlighted
Junos

Re: Upgrading

‎07-09-2015 09:37 AM

Hello ,

 

You may not be logged into the device as root user , thats why you get permission denied when you mount the USB .  Log into as root or Super user and try again


Thanks,
Sam

Please Mark My Solution Accepted if it Helped, Kudos are Appreciated too .....
Highlighted
Junos

Re: Upgrading

‎07-14-2015 05:07 AM

@joses wrote:

Hello ,

 

You may not be logged into the device as root user , thats why you get permission denied when you mount the USB .  Log into as root or Super user and try again


Thanks Joses,

The instructions do not show this but you were correct; did the mount bit as root but then you must log out and back in a a different user for the rest!

However, having got past this hurdle... we got to the 'request system software' stage but we get the err 'Not a package' so still cannot upgrade.

Any ideas anyone?

 

Highlighted
Junos

Re: Upgrading

‎07-14-2015 05:16 AM

Hello ,

 

It looks to be issue with the download software /package issue or it must have got  corrupted .  As updated earlier , check the md5  in the site and also in the file once the USB is mounted .  Make sure they are correct . If still you face issue , please let me know .  make sure you have the file in ".tgz" format  . Smiley Happy


Thanks,
Sam

Please Mark My Solution Accepted if it Helped, Kudos are Appreciated too .....
Highlighted
Junos

Re: Upgrading

‎07-14-2015 05:47 AM

@joses wrote:

Hello ,

 

It looks to be issue with the download software /package issue or it must have got  corrupted .  As updated earlier , check the md5  in the site and also in the file once the USB is mounted .  Make sure they are correct . If still you face issue , please let me know .  make sure you have the file in ".tgz" format  . Smiley Happy


Hello again,

The links for the MD5 thing return a 403 permissions error.

I downloaded it from this site using the 'recommended' version link.

It is the .tgz file, name junos-srxsme-12.1X46-D35.1-domestic.tgz

 

Highlighted
Junos

Re: Upgrading

‎07-14-2015 05:56 AM

Hello ,

 

If you still face the package issue , Please open a JTAC ticket and we will help you  .  It seems to be some issue which need to be checked live . 


Thanks,
Sam

Please Mark My Solution Accepted if it Helped, Kudos are Appreciated too .....
Highlighted
Junos

Re: Upgrading

‎07-14-2015 07:00 AM

@joses wrote:

Hello ,

 

If you still face the package issue , Please open a JTAC ticket and we will help you  .  It seems to be some issue which need to be checked live . 


Thanks again Sam, Case raised, lets hope I get a slightly faster response than the last one (9 days!).

 

 

Highlighted
Junos

Re: Upgrading

‎07-14-2015 08:38 AM

Hello ,

 

Yes .Smiley Wink


Thanks,
Sam

Please Mark My Solution Accepted if it Helped, Kudos are Appreciated too .....
Highlighted
Junos

Re: Upgrading

‎07-16-2015 12:35 AM

Just a quick update, the support guys suggested trying it again and it did work even via the j-web interface.

I guess either the first download got corrupted somehow or they changed the download.

Either way we have it installed now. Sadly still crashes like the old one but you can't have everything.

Thanks for all of the suggestions.

Feedback